package com.example.test.jsxtestttt.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class HelloController {

    private final Logger logger = LoggerFactory.getLogger(HelloController.class);

    @GetMapping("/")
    public String index() {
        logger.info("a log : Greetings from Spring Boot");
        return "Greetings from Spring Boot!";
    }
    @GetMapping("/healthcheck")
    public String healthcheck() {
        logger.error("a log : Call error");
        return "Greetings from Spring Boot! Call error";
    }

}

